<back to all web services

MarkAndSendForTranslation

The following routes are available for this service:
POST/RestApi/translations/translate/markandsend
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects

Namespace Global

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects

        Public Partial Class CreateProject
            Implements IProjectInfo
            Public Overridable Property Title As String Implements IProjectInfo.Title
            Public Overridable Property StartDate As Date? Implements IProjectInfo.StartDate
            Public Overridable Property EndDate As Date? Implements IProjectInfo.EndDate
            Public Overridable Property Description As String Implements IProjectInfo.Description
            Public Overridable Property Connector As String Implements IProjectInfo.Connector
            Public Overridable Property PoReference As String Implements IProjectInfo.PoReference
            Public Overridable Property ActualSourceLanguage As String Implements IProjectInfo.ActualSourceLanguage
        End Class
    End Namespace

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations

        Public Partial Class MarkAndSendForTranslation
            Inherits MarkForTranslation
            Public Overridable Property ProjectData As CreateProject
        End Class

        Public Partial Class MarkForTranslation
            Public Overridable Property Ids As Guid()
            Public Overridable Property ProviderName As String
            Public Overridable Property ItemType As String
            Public Overridable Property SourceLanguage As String
            Public Overridable Property TargetLanguages As String()
            Public Overridable Property ActualSourceLanguage As String
            Public Overridable Property AllowPartialSuccess As Boolean
        End Class
    End Namespace
End Namespace

VB.NET MarkAndSendForTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/translate/markandsend HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"ProjectData":{"Title":"String","StartDate":"\/Date(-62135596800000-0000)\/","EndDate":"\/Date(-62135596800000-0000)\/","Description":"String","Connector":"String","PoReference":"String","ActualSourceLanguage":"String"},"Ids":["00000000-0000-0000-0000-000000000000"],"ProviderName":"String","ItemType":"String","SourceLanguage":"String","TargetLanguages":["String"],"ActualSourceLanguage":"String","AllowPartialSuccess":false}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.